/*
   Alchemy converter by Paul Bourke
   Alchemy file: aspirin.alc
   Header:  ASPIRIN             
   X axis range: -3.0887 <= x <= 2.6701
   Y axis range: -3.2334 <= y <= 2.8925
   Z axis range: -0.9708 <= z <= 3.1468
   Number of atoms: 21
   Number of bonds: 21
   Unique atoms: 6
   Unique bonds: 3
*/

#declare VC = <-0.2093,-0.17045,1.088>;
#declare RANGE = 9.36189;
#declare ATOMRADIUS = 0.250872;
#declare BONDRADIUS = 0.125436;

#declare bondtexture_aromatic = texture {
   pigment { color rgbf <0.75,1,0.75,0.5> }
   finish { specular 0.1 roughness 0.01 }
}

#declare bondtexture_single = texture {
   pigment { color rgbf <0.75,0.75,1,0.5> }
   finish { specular 0.1 roughness 0.01 }
}

#declare bondtexture_double = texture {
   pigment { color rgbf <1,0.75,0.75,0.5> }
   finish { specular 0.1 roughness 0.01 }
}

/* Name: CAR, Count: 6 */
#declare RADIUS_CAR = ATOMRADIUS;
#declare atomtexture_CAR = texture {
   pigment { color rgb <0.757053,0.526646,0.908966> }
   finish { specular 0.6 roughness 0.01 }
}

/* Name: C2, Count: 2 */
#declare RADIUS_C2 = ATOMRADIUS;
#declare atomtexture_C2 = texture {
   pigment { color rgb <0.824682,0.868799,0.641419> }
   finish { specular 0.6 roughness 0.01 }
}

/* Name: O2, Count: 2 */
#declare RADIUS_O2 = ATOMRADIUS;
#declare atomtexture_O2 = texture {
   pigment { color rgb <0.65035,0.989999,0.672815> }
   finish { specular 0.6 roughness 0.01 }
}

/* Name: O3, Count: 2 */
#declare RADIUS_O3 = ATOMRADIUS;
#declare atomtexture_O3 = texture {
   pigment { color rgb <0.988331,0.59217,0.681078> }
   finish { specular 0.6 roughness 0.01 }
}

/* Name: C3, Count: 1 */
#declare RADIUS_C3 = ATOMRADIUS;
#declare atomtexture_C3 = texture {
   pigment { color rgb <0.656852,0.857387,0.814001> }
   finish { specular 0.6 roughness 0.01 }
}

/* Name: H, Count: 8 */
#declare RADIUS_H = ATOMRADIUS;
#declare atomtexture_H = texture {
   pigment { color rgb <0.5,0.5,0.5> }
   finish { specular 0.6 roughness 0.01 }
}

/* CAR */
sphere {
   <-2.1016,-1.1628,-0.4897>, RADIUS_CAR
   texture { atomtexture_CAR }
}

/* CAR */
sphere {
   <-1.5789,-2.3192,0.0985>, RADIUS_CAR
   texture { atomtexture_CAR }
}

/* CAR */
sphere {
   <-0.288,-2.3169,0.6237>, RADIUS_CAR
   texture { atomtexture_CAR }
}

/* CAR */
sphere {
   <0.4982,-1.1562,0.5665>, RADIUS_CAR
   texture { atomtexture_CAR }
}

/* CAR */
sphere {
   <-0.006,-0.0142,-0.1081>, RADIUS_CAR
   texture { atomtexture_CAR }
}

/* CAR */
sphere {
   <-1.3176,-0.0099,-0.5663>, RADIUS_CAR
   texture { atomtexture_CAR }
}

/* C2 */
sphere {
   <1.8754,-1.2008,1.1918>, RADIUS_C2
   texture { atomtexture_C2 }
}

/* O2 */
sphere {
   <2.3237,-2.2044,1.7241>, RADIUS_O2
   texture { atomtexture_O2 }
}

/* O3 */
sphere {
   <2.6701,-0.1455,1.1998>, RADIUS_O3
   texture { atomtexture_O3 }
}

/* O3 */
sphere {
   <0.5437,1.164,0.004>, RADIUS_O3
   texture { atomtexture_O3 }
}

/* C2 */
sphere {
   <0.4587,1.8545,1.1222>, RADIUS_C2
   texture { atomtexture_C2 }
}

/* O2 */
sphere {
   <1.0904,2.8925,1.2405>, RADIUS_O2
   texture { atomtexture_O2 }
}

/* C3 */
sphere {
   <-0.452,1.4066,2.2316>, RADIUS_C3
   texture { atomtexture_C3 }
}

/* H */
sphere {
   <-3.0887,-1.1326,-0.8969>, RADIUS_H
   texture { atomtexture_H }
}

/* H */
sphere {
   <-2.1972,-3.207,0.1331>, RADIUS_H
   texture { atomtexture_H }
}

/* H */
sphere {
   <0.0906,-3.2334,1.0831>, RADIUS_H
   texture { atomtexture_H }
}

/* H */
sphere {
   <-1.6981,0.9134,-0.9708>, RADIUS_H
   texture { atomtexture_H }
}

/* H */
sphere {
   <2.357,0.612,0.7625>, RADIUS_H
   texture { atomtexture_H }
}

/* H */
sphere {
   <-0.97,0.4657,2.0214>, RADIUS_H
   texture { atomtexture_H }
}

/* H */
sphere {
   <-1.2187,2.1784,2.3783>, RADIUS_H
   texture { atomtexture_H }
}

/* H */
sphere {
   <0.1367,1.2646,3.1468>, RADIUS_H
   texture { atomtexture_H }
}

/* CAR -> CAR */
cylinder {
   <-1.5789,-2.3192,0.0985>, <-2.1016,-1.1628,-0.4897>, BONDRADIUS
   texture { bondtexture_aromatic }
}
/* CAR -> CAR */
cylinder {
   <-0.288,-2.3169,0.6237>, <-1.5789,-2.3192,0.0985>, BONDRADIUS
   texture { bondtexture_aromatic }
}
/* CAR -> CAR */
cylinder {
   <0.4982,-1.1562,0.5665>, <-0.288,-2.3169,0.6237>, BONDRADIUS
   texture { bondtexture_aromatic }
}
/* CAR -> CAR */
cylinder {
   <-0.006,-0.0142,-0.1081>, <0.4982,-1.1562,0.5665>, BONDRADIUS
   texture { bondtexture_aromatic }
}
/* CAR -> CAR */
cylinder {
   <-1.3176,-0.0099,-0.5663>, <-0.006,-0.0142,-0.1081>, BONDRADIUS
   texture { bondtexture_aromatic }
}
/* CAR -> CAR */
cylinder {
   <-1.3176,-0.0099,-0.5663>, <-2.1016,-1.1628,-0.4897>, BONDRADIUS
   texture { bondtexture_aromatic }
}
/* C2 -> CAR */
cylinder {
   <1.8754,-1.2008,1.1918>, <0.4982,-1.1562,0.5665>, BONDRADIUS
   texture { bondtexture_single }
}
/* O2 -> C2 */
cylinder {
   <2.3237,-2.2044,1.7241>, <1.8754,-1.2008,1.1918>, BONDRADIUS
   texture { bondtexture_double }
}
/* O3 -> C2 */
cylinder {
   <2.6701,-0.1455,1.1998>, <1.8754,-1.2008,1.1918>, BONDRADIUS
   texture { bondtexture_single }
}
/* O3 -> CAR */
cylinder {
   <0.5437,1.164,0.004>, <-0.006,-0.0142,-0.1081>, BONDRADIUS
   texture { bondtexture_single }
}
/* C2 -> O3 */
cylinder {
   <0.4587,1.8545,1.1222>, <0.5437,1.164,0.004>, BONDRADIUS
   texture { bondtexture_single }
}
/* O2 -> C2 */
cylinder {
   <1.0904,2.8925,1.2405>, <0.4587,1.8545,1.1222>, BONDRADIUS
   texture { bondtexture_double }
}
/* C3 -> C2 */
cylinder {
   <-0.452,1.4066,2.2316>, <0.4587,1.8545,1.1222>, BONDRADIUS
   texture { bondtexture_single }
}
/* CAR -> H */
cylinder {
   <-2.1016,-1.1628,-0.4897>, <-3.0887,-1.1326,-0.8969>, BONDRADIUS
   texture { bondtexture_single }
}
/* CAR -> H */
cylinder {
   <-1.5789,-2.3192,0.0985>, <-2.1972,-3.207,0.1331>, BONDRADIUS
   texture { bondtexture_single }
}
/* CAR -> H */
cylinder {
   <-0.288,-2.3169,0.6237>, <0.0906,-3.2334,1.0831>, BONDRADIUS
   texture { bondtexture_single }
}
/* CAR -> H */
cylinder {
   <-1.3176,-0.0099,-0.5663>, <-1.6981,0.9134,-0.9708>, BONDRADIUS
   texture { bondtexture_single }
}
/* O3 -> H */
cylinder {
   <2.6701,-0.1455,1.1998>, <2.357,0.612,0.7625>, BONDRADIUS
   texture { bondtexture_single }
}
/* C3 -> H */
cylinder {
   <-0.452,1.4066,2.2316>, <-0.97,0.4657,2.0214>, BONDRADIUS
   texture { bondtexture_single }
}
/* C3 -> H */
cylinder {
   <-0.452,1.4066,2.2316>, <-1.2187,2.1784,2.3783>, BONDRADIUS
   texture { bondtexture_single }
}
/* C3 -> H */
cylinder {
   <-0.452,1.4066,2.2316>, <0.1367,1.2646,3.1468>, BONDRADIUS
   texture { bondtexture_single }
}
