// povray +iaspirin.pov anim.ini

#include "aspirin.inc"

#declare VP = 8*<cos(clock*2*pi),sin(clock*2*pi),0>; // Rotate the camera around the object
camera {
   location VP
   up y
   right -image_width*x/image_height
   angle 60
   sky <0,0,1>
   look_at VC
}

global_settings {
  assumed_gamma 1.8
}

// Two lights, one at the camera
light_source {
	VP + 20*z
	color rgb <1,1,1>
}
light_source {
 	VP
   color rgb <1,1,1>/2
}

// Form an isosurface by using the atoms as spheres in a "blob"
#declare RADIUS = 2;
#declare STRENGTH = 1;
blob {
	threshold 1
	sphere { <-2.1016,-1.1628,-0.4897>, RADIUS, STRENGTH }
   sphere { <-1.5789,-2.3192,0.0985>, RADIUS, STRENGTH }
   sphere { <-0.288,-2.3169,0.6237>, RADIUS, STRENGTH }
   sphere { <0.4982,-1.1562,0.5665>, RADIUS, STRENGTH }
   sphere { <-0.006,-0.0142,-0.1081>, RADIUS, STRENGTH }
   sphere { <-1.3176,-0.0099,-0.5663>, RADIUS, STRENGTH }
   sphere { <1.8754,-1.2008,1.1918>, RADIUS, STRENGTH }
   sphere { <2.3237,-2.2044,1.7241>, RADIUS, STRENGTH }
   sphere { <2.6701,-0.1455,1.1998>, RADIUS, STRENGTH }
   sphere { <0.5437,1.164,0.004>, RADIUS, STRENGTH }
   sphere { <0.4587,1.8545,1.1222>, RADIUS, STRENGTH }
   sphere { <1.0904,2.8925,1.2405>, RADIUS, STRENGTH }
   sphere { <-0.452,1.4066,2.2316>, RADIUS, STRENGTH }
   sphere { <-3.0887,-1.1326,-0.8969>, RADIUS, STRENGTH }
   sphere { <-2.1972,-3.207,0.1331>, RADIUS, STRENGTH }
   sphere { <0.0906,-3.2334,1.0831>, RADIUS, STRENGTH }
   sphere { <-1.6981,0.9134,-0.9708>, RADIUS, STRENGTH }
   sphere { <2.357,0.612,0.7625>, RADIUS, STRENGTH }
   sphere { <-0.97,0.4657,2.0214>, RADIUS, STRENGTH }
   sphere { <-1.2187,2.1784,2.3783>, RADIUS, STRENGTH }
   sphere { <0.1367,1.2646,3.1468>, RADIUS, STRENGTH }
   texture {
      pigment { color rgbt <1,1,1,0.8> }
      finish {
         ambient 0.1
         diffuse 0.6
         specular 0.2
      }
   }
}
