// povray +iisosurface.pov scene.ini

#include "metals.inc"
#include "glass.inc"

#declare VP = <1,2.2,1.3>;
camera {
   location VP
   up y
   right x
   angle 60
   sky <0,0,1>
   look_at <0,0,0>
}

background {
   color rgb <0,0,0>
}

light_source {
   VP + <0,0,2>
   color rgb <1,1,1>
}
light_source {
   VP
   color rgb <0.5,0.5,0.5>
}

#declare GreenChrome = texture { 
	pigment { color rgb <0.8, 1.0, 0.8> } 
	finish { F_MetalC  } 
}

isosurface {
   function {
      (pow(x,2)+3) * (pow(y,2)+3) * (pow(z,2)+3) - 32*(x*y*z+1)
   }
   contained_by {
      sphere { <0,0,0>, 2.5}
   }
   threshold 0.25
   accuracy 0.01
   max_gradient 100
   open
   texture { GreenChrome }
   scale 0.8
}

// Copper vertices
#declare copper = texture {
   pigment { P_Copper5 }
   finish { F_MetalC }
}
#declare sphereradius = 0.03;
union {
   sphere { < 1,  1,  1>, sphereradius }
   sphere { <-1,  1, -1>, sphereradius }
   sphere { < 1, -1, -1>, sphereradius }
   sphere { <-1, -1,  1>, sphereradius }
   texture { copper }
}

// Cylindrical edges
#declare silver = texture {
   pigment { P_Silver3 }
   finish { F_MetalC }
}
#declare cylinderradius = 0.02;
union {
   cylinder { < 1,  1,  1>, <-1,  1, -1>, cylinderradius }
   cylinder { < 1,  1,  1>, < 1, -1, -1>, cylinderradius }
   cylinder { < 1, -1, -1>, <-1,  1, -1>, cylinderradius }
   cylinder { < 1,  1,  1>, <-1, -1,  1>, cylinderradius }
   cylinder { <-1, -1,  1>, < 1, -1, -1>, cylinderradius }
   cylinder { <-1, -1,  1>, <-1,  1, -1>, cylinderradius }
   texture { silver }
}

